//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigDc.h,v $
// $Id: SigDc.h,v 1.1 2002/12/17 21:29:30 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_DC_H
#define SIGNAL_DC_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalDc: public SignalBase
{
 public:
    SignalDc(double amplitude, unsigned int samplerate, 
	     unsigned int debug = 0)
	: SignalBase(amplitude, samplerate, debug)
	{}
    virtual ~SignalDc() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
};

#endif // !SIGNAL_DC_H
// --- end of file ---
