//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigDirac.h,v $
// $Id: SigDirac.h,v 1.2 2002/12/11 01:51:34 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_DIRAC_H
#define SIGNAL_DIRAC_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalDirac: public SignalBase
{
 public:
    SignalDirac(double frequency, double amplitude, unsigned int samplerate, 
		unsigned int debug = 0)
	: SignalBase(amplitude, samplerate, debug), freq(frequency)
	{}
    virtual ~SignalDirac() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
    double freq;
};

#endif // !SIGNAL_DIRAC_H
// --- end of file ---
