//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigMls.h,v $
// $Id: SigMls.h,v 1.5 2004/02/05 21:30:47 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef SIGNAL_MLS_H
#define SIGNAL_MLS_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
#include <vector>
USING_NAMESPACE(AH)
#include "SigBase.h"

// --- forward declarations ---

// --- types and classes ---

class SignalMls: public SignalBase
{
 public:
    SignalMls(std::vector<unsigned int>& taps,
	      double amplitude, unsigned int samplerate,
	      unsigned int debug = 0);
    virtual ~SignalMls() {}

    virtual void addSignal(double* data, unsigned int num);

 protected:
    unsigned int numElem; // number of elements
    unsigned int polynomial;
};

#endif // !SIGNAL_MLS_H
// --- end of file ---
