//---------------------------------------------------------------------------
// Copyright 2000 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigPinkNoise.c,v $
// $Id: SigPinkNoise.c,v 1.4 2004/04/21 20:41:05 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

const char sweep_CVSID[] = "$Id: SigPinkNoise.c,v 1.4 2004/04/21 20:41:05 ah Exp $ (c) 2002 Andreas Huennebeck";

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigPinkNoise.h"

#include <math.h>
#include <drfftw.h> 
USING_NAMESPACE(std)

#include <AH/Etech/Types.h> // always the first include
#include <AH/Error/Sys.h>
#include <AH/Error/Intern.h>
#include <AH/Math/Ft/Wisdom.h>
USING_NAMESPACE(AH)

#include "SigWhiteNoise.h"
#include "Util.h"

// --- local constants ---

// --- local data ---

// --- local classes ---

// --- local functions ---

// --- global functions ---

double SignalPinkNoise::getRealFactor(unsigned int i)
{
    if (0 == i) return 1; // leave sdata[0] as it is
    return 1.0 / sqrt((double)(i+1));
}


double SignalPinkNoise::getImagFactor(unsigned int i)
{
    if (0 == i) return 1; // leave sdata[0] as it is
    return 1.0 / sqrt((double)(i+1));
}

// --- end of file ---












