//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/AnalogDevOpCreat.h,v $
// $Id: AnalogDevOpCreat.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_ANALOGDEV_OPCREAT_H	// prevent multiple includes
#define ETECH_ANALOGDEV_OPCREAT_H

// --- necessary includes ---

#include <AH/Config/Platform.h>

BEGIN_NAMESPACE(Ah)

// --- forward declarations ---

class OpAmp;

// --- types and classes ---


/// represents the creator class for Analog Devices operational amplifiers
/**
 {\tt AnalogDevOpAmpCreator} represents a creator class for all 
 operational amplifiers made by Analog Devices within {\em libEtech}.
 */
class AnalogDevOpAmpCreator
{
  public:
    /// create instance of specified Analog Devices OpAmp
    OpAmp* create(const char* model) const;

}; // class AnalogDevOpAmpCreator


// --- name space ---

END_NAMESPACE

#endif // ETECH_ANALOGDEV_OPCREAT_H
