//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/Inductor.c,v $
// $Id: Inductor.c,v 1.8 2004/04/20 22:14:57 ah Exp $
//
// Description: implementation of class Inductance
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: Inductor.c,v 1.8 2004/04/20 22:14:57 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Inductor.h>
#include <AH/Etech/MathConst.h>
#include <iostream>

USING_NAMESPACE(Ah)

BEGIN_NAMESPACE(Ah)

// --- local stuff ---

// --- class member implementation ---

void Inductor::calcVal(Dbl f)
{
    if (f != frequency)
    {
	frequency = f;
	Cplx val(0.0, 2.0 * MathConst_PI * frequency * Inductivity);
//	Cplx val(0.0, 2.0 * MathConst::Pi * frequency * Inductivity);
	Value = val;
    }
}

// --- friend functions ---

// --- overloaded operators ---

std::ostream& operator << (std::ostream &out, const Inductor &i)
{
  if (true /*out.opfx()*/ )
  {
    int width = out.width();
    out << (Impedance)i << '/';
    out.width(width);
    out << i.Inductivity;
  }
  return out;
}


END_NAMESPACE
