//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Math/Dither.h,v $
// $Id: Dither.h,v 1.1 2003/03/18 01:00:14 ah Exp $ 
//
// Description: 
//
//---------------------------------------------------------------------------

#ifndef AH_MATH_DITHER_H
#define AH_MATH_DITHER_H

// --- necessary includes ---

#include <string>
#include <drfftw.h>

// --- types and classes ---

class MathDither
{
 public:
    enum Type { None, RectAngle, Triangle };
    MathDither(Type t, unsigned int seed = 1);
    ~MathDither() {}

    double getSignal();

    static double getRectAngle();
 private:
    static double getTriangle();
    Type dTyp;
};

#endif // !AH_MATH_DITHER_H
// --- end of file ---
