//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/AnalogDevOpCreat.c,v $
// $Id: AnalogDevOpCreat.c,v 1.4 2004/04/20 22:14:57 ah Exp $
//
// Description: implementation of class AnalogDevOpAmpCreator
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: AnalogDevOpCreat.c,v 1.4 2004/04/20 22:14:57 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <string>
#include <AH/Config/Platform.h>
#include <AH/Etech/AnalogDevOpCreat.h>
#include <AH/Etech/AnalogDevOpAmps.h>

// --- local stuff ---

// --- class member implementation ---


OpAmp* AnalogDevOpAmpCreator::create
(
    const char* model
) const
{
    if (!model) return 0;

    // Analog Devices:
    if (0 == strcmp(model, "AD711")) return new AD711();
    if (0 == strcmp(model, "AD745")) return new AD745();
    if (0 == strcmp(model, "AD797")) return new AD797();
    if (0 == strcmp(model, "AD845")) return new AD845();

    return 0;	// OpAmp not found

} // AnalogDevOpAmpCreator::create()













